converting Su8 ruby 1.86 to Ruby 2

converting Su8 ruby 1.86 to Ruby 2

Postby robint » Sun Sep 16, 2018 3:11 pm

Is there anyway of replacing ruby 1.86 with ruby 2

or is that a no no :o
0
As one door closes another one slams in your face
User avatar
robint 
 

Re: converting Su8 ruby 1.86 to Ruby 2

Postby Dan Rathbun » Tue Sep 18, 2018 1:13 am

Very unlikley. Trimble had to compile their own build of Ruby 2.0.0 for SU2014..2016 which had major issues with Unicode character support under Windows. They had to do patching and backporting themselves. The result is fondly called "FrankenRuby" by the SketchUp extensibility team.

The old versions of SketchUp 2013 (and older) are looking for different entry points in the Ruby interpreter DLL than are used in the Ruby 2+ versions, so you cannot just replace the DLL.

If your use of SketchUp is still Hobby as your profile suggests, then you can still download SU2016 Make or SU2017 Make. They use Ruby 2.0.0 and 2.2.4 respectively.
0
    I'm not here much anymore. But a PM will fire email notifications.
    User avatar
    Dan Rathbun 
    PluginStore Author
    PluginStore Author
     

    Re: converting Su8 ruby 1.86 to Ruby 2

    Postby robint » Tue Sep 18, 2018 4:39 am

    Hi thanx for the heads up, I thoought I was probably being simplistic :puke:

    Its a pity that SUC does allow more realistic FB to developers. Some of the stuff is brill and I would give 5*

    But I am strictly on the geometric solids/eng side and SU is mainly for graphics and visualisers I guess
    0
    As one door closes another one slams in your face
    User avatar
    robint 
     

    SketchUcation One-Liner Adverts

    by Ad Machine » 5 minutes ago



    Ad Machine 
    Robot
     



     

    Return to Developers' Forum

    Who is online

    Users browsing this forum: No registered users and 8 guests

    Visit our sponsors: